feed-1.3.0.1: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Safe Haskell | None
Language | Haskell98

Text.Feed.Export

Description

Convert from Feeds to XML.

Synopsis

- xmlFeed :: Feed -> Element
- textFeed :: Feed -> Maybe Text

# Documentation

xmlFeed :: Feed -> Element Source #

'xmlFeed f' serializes a `Feed` document into a conforming XML toplevel element.

textFeed :: Feed -> Maybe Text Source #